<!DOCTYPE html>
<html lang="en">

<head>
  <title>Task bs150 detail of posts</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
  <div class="container jumbotron bg-light">
    <h3 class="text-center mb-4" > <span class="text-warning">Chi tiết</span> Comment</h3>
    <div class="row form-group">
      <label class="col-sm-2 col-form-label"> 
        ID
      </label>
      <div class="col-sm-10">
        <input type="text" class="form-control border border-dark" id="inp-id" placeholder="...">
      </div>
    </div>
    <div class="row form-group">
      <label class="col-sm-2 col-form-label"> 
        Post ID
      </label>
      <div class="col-sm-10"> 
        <input type="text" class="form-control border border-dark" id="inp-post-id" placeholder="...">
      </div>
    </div>
    <div class="row form-group">
      <label class="col-sm-2 col-form-label"> 
       Email
      </label>
      <div class="col-sm-10">
        <input type="text" class="form-control border border-dark" id="inp-email" placeholder="...">
      </div>
    </div>
    <div class="row form-group">
      <label class="col-sm-2 col-form-label"> Name </label>
      <div class="col-sm-10">
        <input type="text" class="form-control border border-dark" id="inp-name">
      </div>
    </div>
    <div class="row form-group">
      <label class="col-sm-2 col-form-label"> Body </label>
      <div class="col-sm-10">
        <textarea rows="5" class="form-control border border-dark" placeholder="nội dung post" id="area-body">  </textarea>
      </div>
    </div>
  </div>
</body>
<script>
  var gBASE_URL = "https://jsonplaceholder.typicode.com";
  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
  $(document).ready(function(){
    onPageLoading()
  })
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  // hàm xử lý sự kiện lấy post của người dùng (4 bước xử lý)
  function onPageLoading() {
    //1.đọc dữ liệu
    var vIdObject = {
       id: "" 
      };
    readData(vIdObject);
    //2.kiểm tra
    var vKetQuaKiemTra = validateData(vIdObject);
    if (vKetQuaKiemTra) {
      //3. gọi server 
      $.ajax({
        url: gBASE_URL + "/comments/" + vIdObject.id,
        type: 'GET',
        dataType: 'json', // added data type
        success: function (responseObject) {
          console.log(JSON.stringify(responseObject));  //response text
          //bước 4. xử lý hiện thị 
          showDataToForm(responseObject);  //chính là post object
        },
        error: function (ajaxContext) {
          alert(ajaxContext.responseText);
        }
      });
    }
  }
  //hiện thị dữl iệu pôst
  function showDataToForm(paramId) {
    $("#inp-id").val(paramId.id);
    $("#inp-post-id").val(paramId.postId);
    $("#inp-email").val(paramId.email);
    $("#inp-name").val(paramId.name);
    $("#area-body").val(paramId.body);

  }
  // read data
  function readData(paramId) {
    var vUrlString = window.location.href;
    var vURL = new URL(vUrlString);
    var vId = vURL.searchParams.get("id");

    paramId.id = vId;
  }

  // validate data
  function validateData(paramId) {
    if (paramId.id === "") {
      alert("Dữ liệu cần truyền vào !");
      return false;
    }
    if (isNaN(paramId.id)) {
      alert("Dữ liệu là số nguyên !");
      return false;
    }
    return true;
  }
</script>

</html>